# 23 Jan 08.  WJS
#	Don't have clean remove .objects and .remoteobjects files.
#    (This problem uncovered by DWS)
OBJDIR = ../../objects

TODO1= ${OBJDIR}/.objects       \
       ${OBJDIR}/.remoteobjects
TODO2 = ${OBJDIR}/test.info	\
       ${OBJDIR}/timecnv.ind	\
       ${OBJDIR}/timecnv_newvarlist.ind
       

all: ${TODO1} ${TODO2}
	@-test -d ${OBJDIR} || mkdir ${OBJDIR}

${OBJDIR}/.objects:objects.tmp
	sed "s*JGOFSDIR*${JGOFSDIR}*g" objects.tmp > $@
${OBJDIR}/.remoteobjects:remoteobjects.tmp
	sed "s*JGOFSDIR*${JGOFSDIR}*g" remoteobjects.tmp > $@
${OBJDIR}/test.info:testinfo.tmp
	cp testinfo.tmp $@
#  Proper dependency of next 2 is on this make file.  Never figured
#  out how to do that...
${OBJDIR}/timecnv.ind:
	echo "datafile = .objects_parameter_1" > $@
	echo "timedateparams = .objects_parameter_2" >> $@
${OBJDIR}/timecnv_newvarlist.ind:
	echo "datafile = .objects_parameter_1" > $@
	echo "timedateparams = .objects_parameter_2" >> $@
	echo "varlist = .objects_parameter_3" >> $@
	
clean:
	-rm ${TODO2}
